[ubuntu/maverick] etherboot 5.4.4-7ubuntu1 (Accepted)

Lorenzo De Liso blackz at ubuntu.com
Thu Sep 9 15:35:32 BST 2010


etherboot (5.4.4-7ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: unexport LDFLAGS and CFLAGS to avoid a FTBFS
    - nossp.patch: compile using -fno-stack-protector.
    - debian/control:
      + Added build dependency on grub (grub-legacy is not yet in Ubuntu)
      + Build-Depend on syslinux instead of syslinux-common | syslinux. We need
        /usr/bin/syslinux during build.
  * Dropped changes:
    - Add kvm-pxe package containing the PXE ROM's kvm needs to pxeboot:
      fixed in debian
    - debian/rules: fix the installation directory of the kvm-pxe roms
      to /usr/share/qemu, rather than /usr/share/kvm, LP: #570870: change
      no longer needed as we dropped the change "Add kvm-pxe package containing
      the PXE ROM's kvm needs to pxeboot." as it's fixed in debian
    - Add patch etherboot-5.4.4-e1000-tx-volatile.patch from Fedora
      Taken from https://bugzilla.redhat.com/show_bug.cgi?id=507391
      (LP: #617316): fixed in debian
    - debian/control: Added build dependency on syslinux (syslinux-common
      is not yet in Ubuntu): replaced by the change "Build-Depend
      on syslinux instead of syslinux-common | syslinux. We need
      /usr/bin/syslinux during build."

etherboot (5.4.4-7) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Workarounding issues in build system for amd64 (Closes: #593399).
  * Updating standards version to 3.9.1.

etherboot (5.4.4-6) unstable; urgency=low

  * Making BOOTP in package descriptions all capital (Closes: #583706).

etherboot (5.4.4-5) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Also add virtio-net rom to etherboot-qemu package.
  * Also add rtl8029 to etherboot-qemu package.
  * Added debian/watch file.

  [ Daniel Baumann ]
  * Removing watch file (watch files in the packages are broken by
    design, i use a different approach for my packages).
  * Adding patch from Mark McLoughlin <markmc at redhat.com> to Fix e1000
    PXE boot caused by compiler optimization (Closes: #569581).

etherboot (5.4.4-4) unstable; urgency=low

  * Renumbering conglomeration.patch.
  * Adding patch from Bernhard Kauer <kauer at os.inf.tu-dresden.de> to
    return size in tftp_read_file (Closes: #414158).
  * Updating dh call in rules to more common order.
  * Also calling dh_fixperms in dh_fixperms override (doesn't make a
    difference now, but it's more future proof).

etherboot (5.4.4-3) unstable; urgency=low

  * Removing superfluous section declaration in control.
  * Removing recommends on mknbi for etherboot-qemu.
  * Adding a enhances qemu and kvm to etherboot-qemu.
  * Correcting name of Gergely in the changelog entry of 5.4.4-1.
  * Capitalizing tftp in package description (Closes: #561373).
  * Combine chmod calls under a dh_fixperms override.
  * Updating to standards 3.8.4.
  * Adding symlink so that it cross-builds on amd64 too (Closes:
    #568553).

etherboot (5.4.4-2) unstable; urgency=low

  * Adding etherboot-qemu that contains uncompressed targets for
    qemu/kvm (Closes: #552402).

Date: Thu, 09 Sep 2010 12:14:36 +0200
Changed-By: Lorenzo De Liso <blackz at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Lorenzo De Liso <blackzldl at gmail.com>
https://launchpad.net/ubuntu/maverick/+source/etherboot/5.4.4-7ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Sep 2010 12:14:36 +0200
Source: etherboot
Binary: etherboot etherboot-qemu
Architecture: source
Version: 5.4.4-7ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Lorenzo De Liso <blackz at ubuntu.com>
Description: 
 etherboot  - Bootstrapping for various network adapters
 etherboot-qemu - Bootstrapping for various network adapters (qemu)
Closes: 414158 552402 561373 568553 569581 583706 593399
Launchpad-Bugs-Fixed: 570870 617316
Changes: 
 etherboot (5.4.4-7ubuntu1) maverick; urgency=low
 .
   * Merge from debian unstable, remaining changes:
     - debian/rules: unexport LDFLAGS and CFLAGS to avoid a FTBFS
     - nossp.patch: compile using -fno-stack-protector.
     - debian/control:
       + Added build dependency on grub (grub-legacy is not yet in Ubuntu)
       + Build-Depend on syslinux instead of syslinux-common | syslinux. We need
         /usr/bin/syslinux during build.
   * Dropped changes:
     - Add kvm-pxe package containing the PXE ROM's kvm needs to pxeboot:
       fixed in debian
     - debian/rules: fix the installation directory of the kvm-pxe roms
       to /usr/share/qemu, rather than /usr/share/kvm, LP: #570870: change
       no longer needed as we dropped the change "Add kvm-pxe package containing
       the PXE ROM's kvm needs to pxeboot." as it's fixed in debian
     - Add patch etherboot-5.4.4-e1000-tx-volatile.patch from Fedora
       Taken from https://bugzilla.redhat.com/show_bug.cgi?id=507391
       (LP: #617316): fixed in debian
     - debian/control: Added build dependency on syslinux (syslinux-common
       is not yet in Ubuntu): replaced by the change "Build-Depend
       on syslinux instead of syslinux-common | syslinux. We need
       /usr/bin/syslinux during build."
 .
 etherboot (5.4.4-7) unstable; urgency=low
 .
   * Updating standards version to 3.9.0.
   * Workarounding issues in build system for amd64 (Closes: #593399).
   * Updating standards version to 3.9.1.
 .
 etherboot (5.4.4-6) unstable; urgency=low
 .
   * Making BOOTP in package descriptions all capital (Closes: #583706).
 .
 etherboot (5.4.4-5) unstable; urgency=low
 .
   [ Vagrant Cascadian ]
   * Also add virtio-net rom to etherboot-qemu package.
   * Also add rtl8029 to etherboot-qemu package.
   * Added debian/watch file.
 .
   [ Daniel Baumann ]
   * Removing watch file (watch files in the packages are broken by
     design, i use a different approach for my packages).
   * Adding patch from Mark McLoughlin <markmc at redhat.com> to Fix e1000
     PXE boot caused by compiler optimization (Closes: #569581).
 .
 etherboot (5.4.4-4) unstable; urgency=low
 .
   * Renumbering conglomeration.patch.
   * Adding patch from Bernhard Kauer <kauer at os.inf.tu-dresden.de> to
     return size in tftp_read_file (Closes: #414158).
   * Updating dh call in rules to more common order.
   * Also calling dh_fixperms in dh_fixperms override (doesn't make a
     difference now, but it's more future proof).
 .
 etherboot (5.4.4-3) unstable; urgency=low
 .
   * Removing superfluous section declaration in control.
   * Removing recommends on mknbi for etherboot-qemu.
   * Adding a enhances qemu and kvm to etherboot-qemu.
   * Correcting name of Gergely in the changelog entry of 5.4.4-1.
   * Capitalizing tftp in package description (Closes: #561373).
   * Combine chmod calls under a dh_fixperms override.
   * Updating to standards 3.8.4.
   * Adding symlink so that it cross-builds on amd64 too (Closes:
     #568553).
 .
 etherboot (5.4.4-2) unstable; urgency=low
 .
   * Adding etherboot-qemu that contains uncompressed targets for
     qemu/kvm (Closes: #552402).
Checksums-Sha1: 
 58dc2fbbb45da7e308bc7768bbbd92652d89410f 1756 etherboot_5.4.4-7ubuntu1.dsc
 820bbc164c639eb5e7e21afe875e4219d72f3d1e 1459379 etherboot_5.4.4.orig.tar.gz
 121f1e24591f5538acc327543128c5fb9bfee839 8513 etherboot_5.4.4-7ubuntu1.diff.gz
Checksums-Sha256: 
 a057d24fdd5b00046100d420b21430dc9c3d02d3369f4679fcde9b9c71fd3f24 1756 etherboot_5.4.4-7ubuntu1.dsc
 1f385f976716e3f6a0a53a2149ef1adf6d2c6d4eead01465313e1efc2ec6691b 1459379 etherboot_5.4.4.orig.tar.gz
 2854caf3b440aae10749a1be6741c79ac278cfcf78349c467b0ad4c23ec51ef3 8513 etherboot_5.4.4-7ubuntu1.diff.gz
Files: 
 9a86ac32e5371070abf4e70f8eed8f43 1756 admin optional etherboot_5.4.4-7ubuntu1.dsc
 5aff6c2a56f9dfa4747f4de94666c9ac 1459379 admin optional etherboot_5.4.4.orig.tar.gz
 5334c580556aebcd6c2217f256175429 8513 admin optional etherboot_5.4.4-7ubuntu1.diff.gz
Original-Maintainer: Debian Syslinux Maintainers <syslinux at lists.debian-maintainers.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJMiO9oAAoJECG2nyCsu/UVy88H/iUGvoEM1Q6H3FHiHNwJZ7nL
CixLqBiX3PGjRwVuTS18ipSD+n2NdGNPwyLbd4vlfGRgucKQKRQG0ahSROTv5G3o
t2CSaXSbsuVl0NySa2gPa8ej5IJ1zqWI7KVD01948zsydqRzknYJtol6UA0sLYvL
wcpaZk/TuFdiIO/Gr7B25TUaDCfEi+gPBfbVHXjDEQEwwyT20hiEzCmSu3/Mxmpi
96SarVlvHxXX41R7UxgmObIIFsIyJIdZgmdQn3C7mQahcpaJkessBoVFV64MitRV
C3JN/Qyw8JSn5jT0CE60vQJlriD624CffMdF2sjunU8Ik5yvIfUxaOTrTtPsOGc=
=lZoV
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list